--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the conditions required to match the subject relationship
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash]"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query::Conditions::RelationshipHandler#foreign_key_mapping
is_singleton: false
name: foreign_key_mapping
params: ()
visibility: public
